%**********************************************************************
%BILPQCom..3
% VYKONOVA BILANCE UZLU, VYPOCET DEFEKTU VYKONU a ZTRAT

UhelVetve(PomSpr)=UhelUzlu(II)-UhelUzlu(JJ);	%  rozdily uhlu zacatku a konce vetve
Deltakm(PomSpr)=UhelUzlu(II)-UhelUzlu(JJ)-Gama;
UMul(PomSpr)=Ua(II).*Ua(JJ);	% soucin napeti na zacatku a konci vetve
UUy(PomSpr)=Ua(II).*Ua(JJ).*Ym;	% soucin napeti na zacatku a konci vetve
U=Ua.*exp(i*UhelUzlu);
%	Vypocitej Pact a Qact
Sact=zeros(NU,1);% vynuluj vektor pro vykon
Ztraty=0;
for Ip=PomSpr,		% pocitej Pact a Qact
   k=II(Ip);m=JJ(Ip);  
   Sact(k)=Sact(k)+UUy(Ip)*exp(i*Deltakm(Ip));
    if k<m          %vpoet ztrt
     Gkm=cos(pi-Gama(Ip))*Ym(Ip);
     CDel=cos(UhelVetve(Ip));
     %vpoet ztrt
     Ztraty=Ztraty +(Ua(k)^2+Ua(m)^2-2*UMul(Ip)*CDel)*Gkm;
      end %if k<m        
end %for Ip=PomSpr
  %sestaveni vektoru defektu
 PDef(PQPU,1)=real(Sact(PQPU,1))-PW(PQPU,1);		% defekt P
 QDef(PQ,1)=  imag(Sact(PQ,1))-QW(PQ,1); 		   % defekt Q
 PQDef=[PDef(PQPU,1);		% vektor defektu
          QDef(PQ,1)];
         